package com.mortals.xhx.module.sst.pdu;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 综窗设备自助设备接件
 */
@Data
public class AcceptHandlingPdu {
    private Long userId;
    /** 申请人信息 */
    private ApplicantLegal applicantLegal;
    private ApplicantPersonal applicantPersonal;
    /** 事项信息 */
    private List<Map<String,String>> handlings;
    /** 法人信息 */
    private LegalProxy legalProxy;
    /**表单信息，办件要素这个接口获取的需要填写的表单信息*/
    private Map<String,String> infoMap;
    /** 情形项id集合 */
    private List<String> itemsIds;
    /** 材料 */
    private List<Material> materials;

    private Object agency;
    private String isStaging;
    private Object thingId;

}
