package com.mortals.xhx.common.code.complex;

import java.util.*;

public enum StepResult {
    通过("001","通过"),
    不通过("002","不通过"),
    补证补齐("003","补证补齐"),
    后台重审("004","后台重审"),
    准予受理("005","准予受理"),
    不予受理("006","不予受理"),
    容缺受理("007","容缺受理"),
    外勘重审("008","外勘重审")
    ;

    private String value;
    private String desc;

    StepResult(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
    public static StepResult getByValue(String value) {
        StepResult[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            StepResult examStatus = var1[var3];
            if (examStatus.getValue().equals(value)) {
                return examStatus;
            }
        }

        return null;
    }

    public static List<Map<String, String>> getEnumMap(String... eItem) {
        List<Map<String, String>> result = new ArrayList<>();

        StepResult[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            StepResult item = var2[var4];

            try {
                boolean hasE = false;
                String[] var7 = eItem;
                int var8 = eItem.length;

                for(int var9 = 0; var9 < var8; ++var9) {
                    String e = var7[var9];
                    if (item.getValue().equals(e)) {
                        hasE = true;
                        break;
                    }
                }

                if (!hasE) {
                    Map<String, String> resultMap = new HashMap();
                    resultMap.put("item_text", item.getValue());
                    resultMap.put("item_value", item.getDesc());
                    result.add(resultMap);
                }
            } catch (Exception var11) {
            }
        }

        return result;
    }
}
